/*
 * Copyright 2020 Adler Neves.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package br.ufes.inf.decisionelement.gana.decisionelement;

import br.ufes.inf.decisionelement.wheelreinventions.expressionparsing.syntaxtree.operations.TreeFindReplace;
import java.util.List;

/**
 * No docstring set.
 */
public abstract class AbstractDecisionElement {
    public static final AbstractDecisionElement[] ALL_DECISION_ELEMENTS = new AbstractDecisionElement[]{
        new NetworkLevelRoutingDecisionElement()
    };
    protected abstract List<TreeFindReplace> getTransformations();
}
