package br.ufes.inf.decisionelement;

import br.ufes.inf.decisionelement.gana.networkprofile.goal.NetworkProfileGoalException;
import br.ufes.inf.decisionelement.wheelreinventions.expressionparsing.MathExpressionException;
import br.ufes.inf.decisionelement.wheelreinventions.json.exceptions.JsonParsingException;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.onosproject.cfg.ComponentConfigAdapter;

/**
 * Set of tests of the ONOS application component.
 */
public class AppComponentTest {

    private AppComponent component;

    @Before
    public void setUp() throws JsonParsingException, NetworkProfileGoalException, MathExpressionException {
        component = new AppComponent();
        component.cfgService = new ComponentConfigAdapter();
//        Either abstract or interfaces:
//        component.coreService = new CoreService();
//        component.flowObjectiveService = new FlowObjectiveService();
//        component.flowRuleService = new FlowRuleService();
//        component.hostService = new HostService();
//        component.intentService = new IntentService();
//        component.packetService = new PacketService();
//        component.topologyService = new TopologyService();
        component.activate(null);
    }

    @After
    public void tearDown() {
        component.deactivate();
    }

    @Test
    public void basics() {

    }

}
